Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 277265 - Version Bump sys-fs/owfs
Summary: Version Bump sys-fs/owfs
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement with 1 vote (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 315935 553418
  Show dependency tree
 
Reported: 2009-07-09 22:25 UTC by Jim Kusznir
Modified: 2016-02-19 11:19 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
owfs-2.8_p8.ebuild (owfs-2.8_p8.ebuild,4.44 KB, text/plain)
2011-05-16 14:24 UTC, Andreas Schürch
Details
owfs-3.1_p0.ebuild (owfs-3.1_p0.ebuild,4.18 KB, text/plain)
2015-06-27 12:02 UTC, Pacho Ramos
Details
owfs-libusb-include.patch (owfs-libusb-include.patch,3.11 KB, patch)
2015-06-27 12:02 UTC, Pacho Ramos
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Kusznir 2009-07-09 22:25:31 UTC
Hello:

Please version-bump sys-fs/owfs to 2.7_p22.  2.7_p21 has an annoying memory leak in it that 22 fixes.  If possible, please preserve the same arch'es; this is a minor bump.

Thanks!
--Jim

Reproducible: Always
Comment 1 Wormo (RETIRED) gentoo-dev 2009-07-12 01:43:21 UTC
Thanks for the release notification -- assigning to maintainer
Comment 2 Andreas Schürch gentoo-dev 2011-05-16 14:24:09 UTC
Created attachment 273437 [details]
owfs-2.8_p8.ebuild

I bumped the ebuild to owfs-2.8_p8, added sys-apps/ed as DEPEND and sed'ed a QA warning... 

Have fun.
Comment 3 regatus 2014-05-04 16:02:31 UTC
version bump to 2.9p4 would be nice.

2.7_p21 in gentoo portage was released in 2009.

http://sourceforge.net/projects/owfs/files/owfs/
Comment 4 Juergen Rose 2014-09-24 09:01:27 UTC
(In reply to regatus from comment #3)
> version bump to 2.9p4 would be nice.
> 
> 2.7_p21 in gentoo portage was released in 2009.
> 
> http://sourceforge.net/projects/owfs/files/owfs/

I support this bump request. But now 2.9p5 is already out:

http://sourceforge.net/projects/owfs/files/latest/download
Comment 5 Jasper Bryant-Greene 2014-09-27 02:34:39 UTC
Maybe the ebuild could be updated to use the new PYTHON_SINGLE_TARGET / PYTHON_TARGETS stuff at the same time? I think it still uses USE_PYTHON. I can take a look at this myself over the weekend.
Comment 6 Pacho Ramos gentoo-dev 2015-06-27 12:02:31 UTC
Created attachment 405850 [details]
owfs-3.1_p0.ebuild

last (failed) attempt
Comment 7 Pacho Ramos gentoo-dev 2015-06-27 12:02:53 UTC
Created attachment 405852 [details, diff]
owfs-libusb-include.patch
Comment 8 Pacho Ramos gentoo-dev 2015-06-29 18:59:28 UTC
Is anyone willing to proxy maintain this?
https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers
Comment 9 Thomas Deutschmann gentoo-dev Security 2016-02-19 11:04:40 UTC
sys-fs/owfs-3.1p1 is now in tree which should fix the reported problem:

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e788d1233936b0c24d52abd74c43fc6a4a6e09cf

Thanks for reporting!